Bug 241315 - net/trafshow: Take MAINTAINER'ship, Add LICENSE, Fix WWW
Summary: net/trafshow: Take MAINTAINER'ship, Add LICENSE, Fix WWW
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitri Goutnik
URL:
Keywords: easy, needs-patch
Depends on:
Blocks:
 
Reported: 2019-10-17 18:50 UTC by Chris Hutchinson
Modified: 2019-11-05 21:49 UTC (History)
2 users (show)

See Also:


Attachments
svn diff for net/trafshow (1.23 KB, patch)
2019-10-17 18:50 UTC, Chris Hutchinson
no flags Details | Diff
svn diff v2 for net/trafshow (1.24 KB, patch)
2019-10-18 18:16 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2019-10-17 18:50:31 UTC
Created attachment 208390 [details]
svn diff for net/trafshow

net/trafshow
The addatched svn diff updates net/trafshow by

Makefile:
MAINTAINER - take maintainership (port is currently unmaintained)
LICENSE - BSD

pkg-descr:
WWW - replace: current URL unreachable, so create one that works
      (also a minor grammatical change in descr)

That's it!

Thanks
Comment 1 Steve Wills freebsd_committer 2019-10-17 19:20:46 UTC
Please don't set the buildisok keyword when creating a PR, it's meant to indicate a build succeeded.
Comment 2 Chris Hutchinson 2019-10-17 19:27:40 UTC
(In reply to Steve Wills from comment #1)
Sorry. It built for me. So thought it OK.
But message received. I'll stop doing that. :)

Thanks!

--Chris
Comment 3 Tobias Kortkamp freebsd_committer 2019-10-18 13:26:08 UTC
Patch fails QA (make sure to put DEVELOPER=yes in /etc/make.conf
again to get these):

/!\ trafshow-5.2.3_3,1: Makefile warnings, please consider fixing /!\

LICENSE must not contain BSD, instead use BSD[234]CLAUSE
Comment 4 Chris Hutchinson 2019-10-18 18:16:40 UTC
Created attachment 208409 [details]
svn diff v2 for net/trafshow

Obsoletes, and corrects the problem in original patch for this pr(1)

> Patch fails QA (make sure to put DEVELOPER=yes in /etc/make.conf

Right. Sorry. I had just performed a (ports) build session
prior to doing this. I switch DEVELOPER off to speed up the build.
But forgot to switch it back on.
Sorry, and thank you very much for all your time, and attention!

--Chris
Comment 5 commit-hook freebsd_committer 2019-11-05 21:48:32 UTC
A commit references this bug:

Author: dmgk
Date: Tue Nov  5 21:48:07 UTC 2019
New revision: 516844
URL: https://svnweb.freebsd.org/changeset/ports/516844

Log:
  net/trafshow: Update MAINTAINER, WWW, add LICENSE

  - Add LICENSE
  - Update WWW
  - Pass maintainership to submitter
  - Pet portclippy while here

  PR:		241315
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com>
  Approved by:	tz (mentor, implicit)

Changes:
  head/net/trafshow/Makefile
  head/net/trafshow/pkg-descr
Comment 6 Dmitri Goutnik freebsd_committer 2019-11-05 21:49:04 UTC
Committed, thanks!